function result = Fenetrage(TempsFenetre, TempsOverlap, signal, fe);

% Cette fonction effectue un fentrage du signal pass en paramtre.
% Le signal est suppos chantillonn  la frquence fe.
% Le fentrage est effectu avec une fentre de dure TempsFenetre et en considrant des overlaps de dure TempsOverlap
% Le fentrage est effectu en appliquant un zero padding au dbut et  la fin du signal sonore

t_sig = length(signal) ;				% longueur du signal sonore en nbre de point
t_wind = round(TempsFenetre * fe) ; % nb de points par fentre
n_wind = ceil(t_sig/t_wind) ; 		% nb de fentres  appliquer au signal
overlap = round(TempsOverlap * fe) ;% nb de points de recouvrement

signal = ZeroPadding(n_wind*t_wind - t_sig, overlap, signal) ;  % zro padding

sign_fen = [] ;
for i = 1:n_wind
   sign_fen = [ sign_fen, signal((i-1)*t_wind+1:i*t_wind + 2*overlap) ];  % fentrage
end

result = sign_fen;