function result = FreqFondamentale(sign_fen, TempsFenetre, fe);

% Cette fonction dtermine les frquences fondamentales des signaux des colonnes de la matrice en paramtre.
% Dans un premier temps, la matrice des corrlations des colonnes de la matrice est calcule.
% Cette matrice permet de trouver la frquence fondamentale des signaux colonnes.
% Le rsultat contient des zros dans le cas o le son considr n'est pas vois.

t_wind = TempsFenetre * fe ;  % nbre de points de fentrage

%
[NbLigne, NbColonne] = size(sign_fen);

for i=1:NbColonne
   temp = (sign_fen(:,i) > (1/3)*max(sign_fen(:,i))); % on ne conserve que 2/3 du signal pour la dtection de pitch
   sign_fen(:,i) = temp.*sign_fen(:,i);
end
%

corr = ColumnXcorr(sign_fen); % calcul de la matrice de corrlation des colonnes de la matrice

[NbLigneCorr, NbColonneCorr] = size(corr);

Voise = [];
To = [];

for i=1:NbColonneCorr
   [k,j] = max(corr(:,i));                    % j contient l'indice du maximum de la colonne
   [TempVoise,TempTo] = max(corr(j+ceil((fe*8)/8000):end,i)); % on cherche la valeur du max et son indice avec un intervalle de qq points
	Voise = [ Voise, TempVoise ];					 % autour du pic maximum (on refuse les frequences au-dessus de 1kHz)
   To = [ To, TempTo+ceil((fe*8)/8000)-1 ];
end

Voise = (Voise >= (0.6*((-1/NbLigne)*To+1)) ); % Le signal tant fentr par un triangle, le niveau de voisement est adapt
Fo = t_wind*(1./(TempsFenetre*To));				  % Calcul de la frquence fondamentale

result = round(Fo.*Voise);                     % Le rsultat contient des zros pour les sons non voiss