function [CoeffPrediction, Variance ] = LPCparameters(p, sign_fen, TempsOverlap, fe, TempsFenetre);

% Cette fonction calcule les coefficients de prdiction linaire correspondant aux colonnes de la matrice.
% Par ailleurs, la fonction rend la variance du bruit blanc  appliquer au filtre AR.
% La mthode utilise est la mthode de covariance : celle-ci peut conduire  un filtre instable dans certains cas.

overlap = round(TempsOverlap * fe) ; % nb de points d'overlap
t_wind = round(TempsFenetre * fe) ;  % nb de points de fentrage
V = [];	 									 % Vecteur des variances
A = [];	 									 % Matrice des coefficients de prdiction linaire

[NbLigne, NbColonne] = size(sign_fen);

for i=1:NbColonne
   
   if ( sum( sign_fen(:,i).*sign_fen(:,i) ) == 0 ) 		 % si la colonne est nulle
      coeffs = [ 1, zeros(1, p) ];								 % les coefficients sont nuls sauf a(1) = 1
      VTemp = 0 ;														 % la variance du bruit est nulle
   
	else
      if (i==1)
         [coeffs, VTemp] = arburg(sign_fen(overlap+1:end,i),p);  % on enlve les zros d'overlap pour la 1re colonne
      elseif (i==NbColonne)
         [coeffs, VTemp] = arburg(sign_fen(1:end-overlap,i),p);  % on enlve les zros d'overlap pour la dernire colonne
      else
         [coeffs, VTemp] = arburg(sign_fen(:,i),p);
      end
      
   end  % if
   
   A = [ A, coeffs' ];
   V = [ V, VTemp ];
   
end  % for

CoeffPrediction = A;
Variance = V;