% Cette fonction effectue l'affichage des FFT des squences choisies par le pointeur de la souris.

figureFFT;

graph1 = findobj('Tag', 'Axes1FFT'); % Dsignation des deux axes
graph2 = findobj('Tag', 'Axes2FFT');

if get(findobj('Tag', 'affichage_original'), 'Value') == 1 %onde
   MiseAJourAffichage(G1, son_choisi, Type_graph_original, F, coefpitch, fe);
   t_wind = round(TempsFenetre*fe);
   Point = get(G1, 'CurrentPoint')*fe;    % vrification du point choisi avec la souris
   NumSequence = ceil(Point(1,1)/t_wind); % slection de la squence pointe
   if ( (Point(1,1) > 0) & (Point(1,1) < length(son_choisi)) )
     axes(G1); 
     hold on;
     plot([(NumSequence-1)*t_wind : NumSequence*t_wind]/fe, son_choisi((NumSequence-1)*t_wind : NumSequence*t_wind), 'r');
     hold off;
  end;
else % si l'affichage principal est le spectrogramme
   Point = get(G1, 'CurrentPoint')*fe;
   axes(G1);
   hold on;
   [B,FF,T] = specgram(son_choisi);
   MiseAJourAffichage(G1, son_choisi, Type_graph_original, F, coefpitch, fe);
   imagesc([(Point(1,1)/fe)-0.01; Point(1,1)/fe; (Point(1,1)/fe)+0.01],FF,20*log10(abs([0; i; 0])));
   hold off;
end

MiseAJourAffichage(G2, sign_synth, Type_graph_synth, F, coefpitch, fe);
AjustementAffichage;

if ( (Point(1,1) > 0) & (Point(1,1) < length(son_choisi)) )
   
   t_wind = round(TempsFenetre*fe);
	NumSequence = ceil(Point(1,1)/t_wind);

	signal = abs(fft( sign_fen( :, NumSequence  ) ) );
   axes(graph1);
   plot( ([1:round(length(signal)/2)]./(length(signal)/2))*fe/2, signal(1:round(length(signal)/2)), 'k' );
   xlabel('Frequency');
   ylabel('Original sound amplitude');
   maximum = max(signal);
   
   
   [NbLi, NbCo] = size(C);
   if (NbCo >= NumSequence)
      MiseAJourAffichage(G2, sign_synth, Type_graph_synth, F, coefpitch, fe);
		AjustementAffichage;
      
      % On rend visible la squence choisie (en rouge)
      if strcmp(Type_graph_synth, 'Onde')
         axes(G2);
         hold on;
         plot([(NumSequence-1)*t_wind : NumSequence*t_wind]/fe, sign_synth((NumSequence-1)*t_wind : NumSequence*t_wind), 'r');
         hold off;
      elseif strcmp(Type_graph_synth, 'Pitch')
         axes(G2);
         hold on;
         bar(NumSequence, coefpitch*F(NumSequence), 'r');
         hold off;
      else
         axes(G2);
         hold on;
         [B,FF,T] = specgram(sign_synth);
         imagesc([(Point(1,1)/fe)-0.01; Point(1,1)/fe; (Point(1,1)/fe)+0.01],FF,20*log10(abs([0; i; 0])));
   		hold off;
      end
      
      signal=abs(freqz(1, C(:,NumSequence), round(length(signal)/2)));
   	signal = maximum*(signal/max(signal));
   	longueur = length(signal);
		axes(graph2);
   	plot([1:fe/(2*longueur):fe/2], signal, 'm');
   	xlabel('Frequency');
   	ylabel('Computed filter response');
      hold on;
      sign_fen_synth = Fenetrage(TempsFenetre/coefvitesse, TempsOverlap/coefvitesse, Preaccentuation(sign_synth'), fe);
      sign_fen_synth = PonderationHamming( sign_fen_synth );
      signal = abs(fft( sign_fen_synth( :, NumSequence ) ) );
      signal = maximum*(signal/max(signal));
      temp = ([1:longueur/round(length(signal)/2):longueur]./longueur)*fe/2;
      plot( temp, signal(1:length(temp)), 'b' );
      hold off;
   end
      
end