function result = Synthese(Fo, fe, TempsFenetre, Variance, CoeffPrediction);

% Cette fonction ralise la synthse du signal vocal  partir des variances des signaux  appliquer, des frquences
% fondamentales, et des coefficients de prdiction linaire du filtre.
% Dans le cas d'un son vois, la squence  appliquer au filtre est une squence d'impulsions.
% Si le son n'est pas vois, le signal  appliquer est un bruit blanc.
% Dans le cas o plusieurs sons voiss se suivent, un calcul judicieux (i.e. retard) permet de ne pas crer 
% des squences d'impulsions abrutement concatnes.

retard = 0;
temp = [];

for i=1:length(Fo)
   
   if ( Fo(i)==0 )  % Cas du son non-vois (i.e. la frquence fondamentale est nulle)
      retard = 0;
      temp = [ temp, BruitBlanc(TempsFenetre, fe, Variance(i), CoeffPrediction(:,i)) ];
      
   else
      [ intermedaire, retard ] = PeigneDirac(TempsFenetre, fe, Fo(i), retard, Variance(i), CoeffPrediction(:,i));
      temp = [ temp,  intermedaire];
   end
   
end


result = temp;